package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabSystemSpace;

import java.util.List;

/**
 * <p>
 * 系统空间 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
public interface ITabSystemSpaceService extends IService<TabSystemSpace> {

    List<TabSystemSpace> getSpace(TabSystemSpace tabSystemSpace);

    List<TabSystemSpace> getSpaceDetailByFilepath(TabSystemSpace tabSystemSpace);

    void insertTabSystemSpace();

    AjaxResult getLinkTitle(TabSystemSpace tabSystemSpace);

}
